<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.lib.find.safe.station</name>
<version>2</version>
<engineversion>25</engineversion>
<description>return a dockable station in sector if there is one</description>
<arguments>
<argument index="1" name="Sector" type="Var/Sector" desc="Sector" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var>Free&#160;for&#160;use&#160;in&#160;third&#160;party&#160;scripts,&#160;but</var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var>please&#160;mention&#160;Xai&#160;Corporation&#160;in&#160;your&#160;documentation</var></comment></line>
<line linenr="005" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="006" indent=""></line>
<line linenr="007" indent=""><var>skip&#160;if&#160;</var><var>$Sector</var></line>
<line linenr="008" indent="&#160;"><var>$Sector&#160;=&#160;</var><var>[SECTOR]</var></line>
<line linenr="009" indent=""></line>
<line linenr="010" indent=""><var>$flags&#160;=&#160;</var><var>[Find.Multiple]</var><text>&#160;</text><var>|</var><text>&#160;</text><var>[Find.Nearest]</var></line>
<line linenr="011" indent=""><var>$Stations&#160;=&#160;</var><text>&#160;find&#160;station:&#160;sector=</text><var>$Sector</var><text>&#160;class&#160;or&#160;type=</text><var>Station</var><text>&#160;race=</text><var>null</var><text>&#160;flags=</text><var>$flags</var><text>&#160;refobj=</text><var>[THIS]</var><text>&#160;maxdist=</text><var>null</var><text>&#160;maxnum=</text><var>999</var><text>&#160;refpos=</text><var>null</var></line>
<line linenr="012" indent=""><var>$Stations.num&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Stations</var></line>
<line linenr="013" indent=""></line>
<line linenr="014" indent=""><var>$count&#160;=&#160;</var><var>0</var></line>
<line linenr="015" indent=""><var>while&#160;</var><var>$count</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$Stations.num</var></line>
<line linenr="016" indent="&#160;"><var>$Station&#160;=&#160;</var><var>$Stations</var><text>[</text><var>$count</var><text>]</text></line>
<line linenr="017" indent="&#160;"><var>skip&#160;if&#160;not&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;docking&#160;allowed&#160;at&#160;</text><var>$Station</var></line>
<line linenr="018" indent="&#160;&#160;"><text>break</text></line>
<line linenr="019" indent="&#160;"><text>inc&#160;</text><var>$count&#160;=&#160;</var></line>
<line linenr="020" indent=""><text>end</text></line>
<line linenr="021" indent=""></line>
<line linenr="022" indent=""><comment><text>*&#160;</text><var>Return&#160;safe&#160;station,&#160;or&#160;null&#160;if&#160;none</var></comment></line>
<line linenr="023" indent=""><var>skip&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;docking&#160;allowed&#160;at&#160;</text><var>$Station</var></line>
<line linenr="024" indent="&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="025" indent=""></line>
<line linenr="026" indent=""><text>return&#160;</text><var>$Station</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.lib.find.safe.station" /><sval type="int" val="25" /><sval type="string" val="return a dockable station in sector if there is one" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="array" size="6"><sval type="string" val="Sector" /><sval type="string" val="flags" /><sval type="string" val="Stations" /><sval type="string" val="Stations.num" /><sval type="string" val="count" /><sval type="string" val="Station" /></sval><sval type="array" size="15"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536870393" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="111" /><sval type="int" val="131075" /><sval type="int" val="106" /><sval type="int" val="15" /><sval type="int" val="7" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="7" /><sval type="int" val="-2" /></sval><sval type="array" size="18"><sval type="int" val="794" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="12" /><sval type="int" val="2016" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="999" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610609655" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="6"><sval type="int" val="513" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-1610610168" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="12" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="6" /></sval><sval type="array" size="6"><sval type="int" val="513" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-536867321" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="14" /><sval type="string" val="Sector" /></sval></sval><sval type="array" size="13"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Free for use in third party scripts, but" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="please mention Xai Corporation in your documentation" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="2" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="5" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="12" /><sval type="int" val="1" /><sval type="string" val="Return safe station, or null if none" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
